summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMounir Lamouri <volkmar@gentoo.org>2009-03-29 22:25:57 +0000
committerMounir Lamouri <volkmar@gentoo.org>2009-03-29 22:25:57 +0000
commit19a55ec620b65b57243e65bd91fe5453ec38c466 (patch)
treedb3bf46f5bd43ae9647c19918a7e4042bda347b9 /net-libs
parentnet-im/ekiga: moving ekiga from net-voip to net-im to make gnome aware of it (diff)
downloadvoip-19a55ec620b65b57243e65bd91fe5453ec38c466.tar.gz
voip-19a55ec620b65b57243e65bd91fe5453ec38c466.tar.bz2
voip-19a55ec620b65b57243e65bd91fe5453ec38c466.zip
net-libs/opal: fix mpeg4 plugin build issue
svn path=/trunk/; revision=822
Diffstat (limited to 'net-libs')
-rw-r--r--net-libs/opal/ChangeLog6
-rw-r--r--net-libs/opal/Manifest4
-rw-r--r--net-libs/opal/opal-3.6.1.ebuild19
3 files changed, 12 insertions, 17 deletions
diff --git a/net-libs/opal/ChangeLog b/net-libs/opal/ChangeLog
index 5659ea1..ce6831f 100644
--- a/net-libs/opal/ChangeLog
+++ b/net-libs/opal/ChangeLog
@@ -2,10 +2,16 @@
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 29 Mar 2009; Mounir Lamouri (volkmar) <mounir.lamouri@gmail.com>
+ opal-3.6.1:
+ Fixing mpeg4 plugin issue
+
25 Mar 2009; Mounir Lamouri (volkmar) <mounir.lamouri@gmail.com>
+opal-3.6.1:
Version bump to 3.6.1 needed by ekiga-3.2
+*opal-3.6.1 (25 Mar 2009)
+
18 Mar 2009; Mounir Lamouri (volkmar) <mounir.lamouri@gmail.com>
opal-3.4.5:
Add ~x86 keyword
diff --git a/net-libs/opal/Manifest b/net-libs/opal/Manifest
index 3b5edfb..0565853 100644
--- a/net-libs/opal/Manifest
+++ b/net-libs/opal/Manifest
@@ -5,6 +5,6 @@ DIST opal-3.4.5.tar.bz2 8000318 RMD160 71125ff5237d3efd9c534ce23fcd814614b1fbfb
DIST opal-3.6.1-htmldoc.tar.bz2 5863294 RMD160 2d90dda7a6cdbb4cb3743688fc32a3ff9b532511 SHA1 f33af480786d65c1cdb0db564f93c34f68eee9bd SHA256 41dfa29fa213eb65eff9d20c89befe4431979a45b97410d3ad2ed200071eae5d
DIST opal-3.6.1.tar.bz2 6993734 RMD160 3a19a46d67957d26b3261804e1489ffd83ef1662 SHA1 989bad4d3bc35828da8198740eaabe249f4c30df SHA256 e6b48a294b35449c851c2a6ea6969041ed7f4148e92b3faa03a330b7bb5a59af
EBUILD opal-3.4.5.ebuild 7816 RMD160 d513bf19ca565987b02b6d97ae4fda9335775196 SHA1 a203646872853d2c36fc340901609ed04b209c4f SHA256 d65720d9d096d720731c5f907ad2b0d561058a69c18a5637fdf90144ab491dae
-EBUILD opal-3.6.1.ebuild 8611 RMD160 e8938aff92ceaf08cccb5434933c56f7ef17afa2 SHA1 a9b4d6ee4344dfa056a245313f66e5271e12e9bc SHA256 da8a1324eb5c3534a97f5c53bc30f7d7ef526af288cc00e5b66e99fd9ebba829
-MISC ChangeLog 976 RMD160 e0502aaaa361c51e10ec8f1d0918a062ff4c6b10 SHA1 e35691c86b94891d384235991c0df1c73a2d4da6 SHA256 ab61cfcec9b2d9f84ecf0053566ce8f52e09b08cfdf261143b780337418d92ab
+EBUILD opal-3.6.1.ebuild 8296 RMD160 4045dc0337f8da47646d18af136f0de45406ce1a SHA1 e5e43a7572104f41289b3dc695f18b0b157e63bc SHA256 e01bd7f5c4d0090d9da0d551cde93585f658b7b5d31817cdb45cbe8c50ed0156
+MISC ChangeLog 1113 RMD160 ddde3d704d108ed706a43077f3748a87a66797d2 SHA1 a7609981570098c42b3f0af55b032d33ba8f73d4 SHA256 832c49c377ebe3b4a4962e227302553ead637f18a3ec19fceae2eaf1709f5ccc
MISC metadata.xml 1779 RMD160 2e4f602cc35a529a6d740c6b7d14bb3c966a5170 SHA1 ce13e4db107373de5f03d50249a5fecffb1ec226 SHA256 0b6ca25d36bbb1e4d8c63acbd1bf34daabec8e500c5881cb1a1643dbcc2fa219
diff --git a/net-libs/opal/opal-3.6.1.ebuild b/net-libs/opal/opal-3.6.1.ebuild
index 08b356b..ceb5abf 100644
--- a/net-libs/opal/opal-3.6.1.ebuild
+++ b/net-libs/opal/opal-3.6.1.ebuild
@@ -54,7 +54,6 @@ DEPEND="${RDEPEND}
# TODO: merge some use-flags or force their values ?
# candidates are: msrp, sipim, rfc4103 and any other without a dep
# TODO: celt use flag can't be set because celt is not in portage, add it
-# TODO: rtp_mode from libavcodec is badly checked, see bug 2715290
# needs to have ptlib url use flag enabled, see bug 2715377
pkg_setup() {
@@ -127,14 +126,10 @@ src_prepare() {
if ! use ffmpeg; then
sed -i -e "s/HAVE_H263P=yes/HAVE_H263P=no/" plugins/configure \
|| die "patching plugins/configure failed"
+ sed -i -e "s/HAVE_MPEG4=yes/HAVE_MPEG4=no/" plugins/configure \
+ || die "patching plugins/configure failed"
fi
- # actually, mpeg4 plugin can't build, disable it
- # upstream has been contacted, bug 2714854 in their bugtracker
- # TODO: when fixed, move it back into if ! use ffmpeg
- sed -i -e "s/HAVE_MPEG4=yes/HAVE_MPEG4=no/" plugins/configure \
- || die "patching plugins/configure failed"
-
# fix gsm wav49 support check
# upstream has been contacted, bug 2686500 in their bugtracker
if use plugins; then
@@ -164,13 +159,6 @@ src_prepare() {
}
src_configure() {
- local myconf=""
-
- if use ffmpeg; then
- # with-libavcodec-source-dir: no default value
- myconf="--with-libavcodec-source-dir=/usr/include"
- fi
-
# versioncheck: check for ptlib version
# shared: should always be enabled for a lib
# zrtp doesn't depend on net-libs/libzrtpcpp but on libzrtp from
@@ -181,7 +169,8 @@ src_configure() {
# default-to-full-capabilties: default enable by upstream
# aec: atm, only used when bundled speex, so it's painless for us
# celt: not in the portage tree nor in the voip overlay
- econf ${myconf} \
+ # --with-libavcodec-source-dir should _not_ be set, it's for trunk sources
+ econf \
--enable-versioncheck \
--enable-shared \
--disable-zrtp \